Skip to main content
PUT
/
api2
/
v2
/
analyses
/
{analyseUid}
Edit analysis
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v2/analyses/{analyseUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/analyses/{analyseUid}"

payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://cloud.memsource.com/web/api2/v2/analyses/{analyseUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "analyseLanguageParts": [
    {
      "data": {
        "all": {
          "characters": 123,
          "editingTime": 123,
          "normalizedPages": 123,
          "percent": 123,
          "segments": 123,
          "words": 123
        },
        "available": true,
        "machineTranslationMatches": {
          "match0": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match100": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match50": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match75": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match85": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match95": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          }
        },
        "nonTranslatablesMatches": {
          "match100": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match99": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          }
        },
        "repetitions": {
          "characters": 123,
          "editingTime": 123,
          "normalizedPages": 123,
          "percent": 123,
          "segments": 123,
          "words": 123
        },
        "transMemoryMatches": {
          "match0": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match100": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match101": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match50": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match75": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match85": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match95": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          }
        }
      },
      "discountedData": {
        "all": {
          "characters": 123,
          "editingTime": 123,
          "normalizedPages": 123,
          "percent": 123,
          "segments": 123,
          "words": 123
        },
        "available": true,
        "machineTranslationMatches": {
          "match0": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match100": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match50": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match75": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match85": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match95": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          }
        },
        "nonTranslatablesMatches": {
          "match100": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match99": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          }
        },
        "repetitions": {
          "characters": 123,
          "editingTime": 123,
          "normalizedPages": 123,
          "percent": 123,
          "segments": 123,
          "words": 123
        },
        "transMemoryMatches": {
          "match0": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match100": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match101": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match50": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match75": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match85": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          },
          "match95": {
            "characters": 123,
            "editingTime": 123,
            "normalizedPages": 123,
            "percent": 123,
            "segments": 123,
            "words": 123
          }
        }
      },
      "id": "<string>",
      "jobs": [
        {
          "filename": "<string>",
          "innerId": "<string>",
          "jobUid": "<string>",
          "uid": "<string>"
        }
      ],
      "sourceLang": "<string>",
      "targetLang": "<string>"
    }
  ],
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "isDefault": true,
    "name": "<string>",
    "uid": "<string>"
  },
  "provider": {
    "type": "<string>",
    "id": "<string>",
    "uid": "<string>"
  },
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

analyseUid
string
required

Analysis UID

Body

application/json

Analysis changes

name
string

Analysis name

Maximum string length: 255
netRateScheme
object

Reference to an object by its unique identifier

provider
object

Response

OK

analyseLanguageParts
object[]

Per-language-pair analysis results

createdBy
object
dateCreated
string<date-time>

Date and time the analysis was created

id
string

Internal numeric identifier, encoded as a string

name
string

Analysis name

netRateScheme
object
provider
object
type
enum<string>

Analysis type. Newly created analyses are PreAnalyse, PostAnalyse or Compare; responses may also return internally created types: PreAnalyseTarget, PreAnalyseProvider, ContinuousPreAnalyse or ContinuousPostAnalyse

Available options:
PreAnalyse,
PostAnalyse,
PreAnalyseTarget,
Compare,
PreAnalyseProvider,
ContinuousPostAnalyse,
ContinuousPreAnalyse
uid
string

Unique identifier used in API paths